summaryrefslogtreecommitdiffstats
path: root/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
diff options
context:
space:
mode:
author Heinz Wiesinger <pprkut@liwjatan.at>2010-03-08 10:31:35 -0600
committer Erik Hanson <erik@slackbuilds.org>2010-05-13 13:26:15 +0200
commit2663f9f7dca90f535c31711c073a6230225a3812 (patch)
tree7a187a62d66490d5b7dbec481167c19a48f5da35 /desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
parenteb51748e611017c8488a0f3d1387ecb5195e61df (diff)
downloadslackbuilds-2663f9f7dca90f535c31711c073a6230225a3812.tar.gz
slackbuilds-2663f9f7dca90f535c31711c073a6230225a3812.tar.xz
desktop/google-gadgets-for-linux: Updated for version 0.11.2.
This now requires xulrunner. Thanks to new maintainer Heinz Wiesinger.
Diffstat (limited to '')
-rw-r--r--desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild24
1 files changed, 8 insertions, 16 deletions
diff --git a/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
index ead159ba65..abd79307f0 100644
--- a/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
+++ b/desktop/google-gadgets-for-linux/google-gadgets-for-linux.SlackBuild
@@ -1,6 +1,7 @@
#!/bin/sh
# Slackbuild for google-gadgets-for-linux
# Written by JK Wood <joshuakwood@gmail.com>
+# Modified by Heinz Wiesinger, Amsterdam, The Netherlands
# Slackbuild is released under the Dog-on-Fire License:
# If use of this script causes your dog to catch on fire,
@@ -19,7 +20,7 @@
# Modified by SlackBuilds.org
PRGNAM=google-gadgets-for-linux
-VERSION=0.11.0
+VERSION=0.11.2
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -40,7 +41,7 @@ elif [ "$ARCH" = "x86_64" ]; then
LIBDIRSUFFIX="64"
fi
-set -eu
+set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
@@ -55,19 +56,9 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \;
-# These are needed to properly link the seamonkey stuff
-EXTRA_INCLUDES="\
- -I/usr/include/seamonkey/dom \
- -I/usr/include/seamonkey/content \
- -I/usr/include/seamonkey/widget \
- -I/usr/include/seamonkey/xpconnect"
-
-GTKMOZEMBED_CFLAGS="$(pkg-config --cflags seamonkey-gtkmozembed)" \
-GTKMOZEMBED_LIBS="$(pkg-config --libs seamonkey-gtkmozembed)" \
-LIBMOZJS_CFLAGS="$(pkg-config --cflags seamonkey-js)" \
-LIBMOZJS_LIBS="$(pkg-config --libs seamonkey-js)" \
-CFLAGS="$SLKCFLAGS $EXTRA_INCLUDES" \
-CXXFLAGS="$SLKCFLAGS $EXTRA_INCLUDES" \
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LIBS="-lssp" \
./configure \
--prefix=/usr \
--libdir=/usr/lib$LIBDIRSUFFIX \
@@ -75,10 +66,11 @@ CXXFLAGS="$SLKCFLAGS $EXTRA_INCLUDES" \
--docdir=/usr/doc/$PRGNAM-$VERSION \
--mandir=/usr/man \
--disable-static \
+ --with-gtkmozembed=libxul \
--with-browser-plugins-dir=/usr/lib$LIBDIRSUFFIX/mozilla/plugins \
--build=$ARCH-slackware-linux
-make
+make -j1
make install-strip DESTDIR=$PKG
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \